html {
  scroll-behavior: smooth;
}
:focus {
  outline: none;
}
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  li {
    list-style-type: none;
  }
}
ul.list-normal {
  list-style-type: disc;
  padding-inline-start: 30px;
  margin-bottom: $spacer;
  li {
    list-style-type: inherit;
  }
}

li,
p,
.ff-alt {
  font-family: $font-family-alt;
}
.ff-base {
  font-family: $font-family-sans-serif;
}
.ff-headings {
  font-family: $headings-font-family;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-family: $headings-font-family;
}

hr.divider {
  max-width: 3.25rem;
  border-width: 0.2rem;
  border-color: $primary;
}

hr.light {
  border-color: $white;
}

.page-section {
  padding: 4rem 0;
}

.interactive {
  position: relative;
  overflow-x: hidden;
  .interactive-appear {
    //transform: translateX(100%);
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s;
  }
  &::after {
    content: "\f142";
    top: 6px;
    right: 4px;
    opacity: 0.7;
    position: absolute;
    z-index: 1;
    display: inline-block;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 12px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
  }

  @include hover {
    &::after {
      opacity: 0;
    }
    .interactive-appear {
      opacity: 1;
      // transform: translateX(0);
      visibility: visible;
    }
  }
}

@include media-breakpoint-up(md) {
  .page-section {
    padding: 6rem 0;
  }
}

@include media-breakpoint-up(xl) {
  .page-section {
    padding: 8rem 0;
  }
}

[role="button"] {
  cursor: pointer;
}
button,
[type="button"],
[type="reset"],
[type="submit"] {
  &.disabled,
  &:disabled {
    cursor: not-allowed;
  }
}

.under-link {
  text-decoration: underline;
}

#mapContainer {
  height: 350px !important;
  width: 100% !important;
}

.marker {
  background-image: url("https://stagingdatawikireviews.s3.amazonaws.com/media/content/cvs_pharmacy_logo.9ce3d5dfa5188f38ad1b6ec5a167d5d683952a8f.jpg");
  background-size: cover;
  width: 26px;
  height: 26px;
  // border: solid 1px #315d7a;
  border-radius: 50%;
  cursor: pointer;
}
.marker-red {
  background-color: #d0021b;
  background-size: cover;
  width: 26px;
  height: 26px;
  border: solid 1px #315d7a;
  border-radius: 50%;
  cursor: pointer;
}
.marker-green {
  background-color: #7ed321;
  background-size: cover;
  width: 26px;
  height: 26px;
  border: solid 1px #315d7a;
  border-radius: 50%;
  cursor: pointer;
}
.marker-orange {
  background-color: #f5a623;
  background-size: cover;
  width: 26px;
  height: 26px;
  border: solid 1px #315d7a;
  border-radius: 50%;
  cursor: pointer;
}

.mapboxgl-popup {
  max-width: 200px;
}

.mapboxgl-popup-content {
  text-align: left;
  font-family: "Open Sans", sans-serif;
  min-width: 280px;
  position: relative;
  padding-right: 15px !important;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6) !important;

  .mapboxgl-popup-close-button {
    right: 15px !important;
  }
  .category-bar {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 10px;
    background-color: gray;
    &.type-green {
      background-color: #7ed321;
    }
    &.type-red {
      background-color: #d0021b;
    }
    &.type-orange {
      background-color: #f5a623;
    }
  }
}

.videoModal.modal-dialog {
  max-width: 80%;
}

.scrollable-list {
  padding: 0 1rem;
  max-height: 300px;
  overflow-y: auto;
  @extend .scrollbar._visible;
}
.intro-overlay {
  position: relative;
  &:after {
    content: '';
    position: absolute;
    z-index: 9980;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: fade-out($color: $black, $amount: 0.2);
  }
}
.intro-block {
  position: absolute;
  background-color: $white;
  padding: 1rem;
  font-size: 14px;
  color: $primary-dark;
  width: 250px;
  font-weight: $font-weight-bold;
  font-family: $font-family-alt;
  box-shadow: $box-shadow-sm;
  opacity: 0.97;
  z-index: 9999;
  left:0;
  right: 0;
  top: 190px;
  margin: auto;
  max-height: 100px;
  &[data-type="stat-intro"] {
    // left: 100%;
    // top: 184px;
    // transform: translateX(-160px);
    @include media-breakpoint-up(xxl) {
      // left: 50%;
      // top: 184px;
      // transform: translateX(-210px);
    }
  }
}
.stat-bubble {
  position: absolute;
  // opacity: 0.8;
  width: 50px;
  height: 50px;
  border: 1px solid $white;
  border-radius: 50%;
  z-index: 9990;
  &.with-line {
    &:after {
      content: '';
      position: absolute;
      width: 250px;
      height: 1px;
      background-color: $white;
      z-index: 0;
    }
  }
  &[data-type="overall"] {
    left: 50%;
    top: 151px;
    transform: translateX(-343px);
    @include media-breakpoint-up(xxl) {
      left: 50%;
      top: 151px;
      transform: translateX(-406px);
    }
    &.with-line {
      &:after {
        width: 290px;
        left: 100%;
        top: 50%;
        transform: rotate(10deg);
        transform-origin: left;
      }
    }
  }
  &[data-type="reviews"] {
    left: 47%;
    top: 221px;
    transform: translateX(-334px);
    @include media-breakpoint-up(xxl) {
      left: 47%;
      top: 221px;
      transform: translateX(-404px);
    }
    &.with-line {
      &:after {
        width: 310px;
        left: 100%;
        top: 23px;
        transform: rotate(0);
        transform-origin: left;
      }
    }
  }
  &[data-type="branches"] {
    left: 50%;
    top: 575px;
    transform: translateX(136px);
    @include media-breakpoint-up(xxl) {
      left: 50%;
      top: 574px;
      transform: translateX(6px);
    }
    &.with-line {
      &:after {
        width: 350px;
        left: 50%;
        top: 0%;
        transform: rotate(-115deg);
        transform-origin: left;
        @include media-breakpoint-up(xxl) {
          transform: rotate(-94deg);
        }
      }
    }
  }
}

.img-circle {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center center;
  &._150x150 {
    width: 150px;
    height: 150px;
  }
  &._120x120 {
    width: 120px;
    height: 120px;
  }
  &._70x70 {
    width: 70px;
    height: 70px;
  }
  &._50x50 {
    width: 50px;
    height: 50px;
  }
  &._40x40 {
    width: 40px;
    height: 40px;
  }
  &._30x30 {
    width: 30px;
    height: 30px;
  }
  &._20x20 {
    width: 20px;
    height: 20px;
  }
}


#react-joyride-step-2{
  .__floater__open{
    position: absolute !important;
    transform: none !important;
    left: 0 !important;
    right: 0 !important;
    top: 0 !important;
  }
  .__floater__arrow{
    display: none;
  }
}

.bt-btn{
  position: absolute;
  top: 670px;
  left: 0;
  right: 0;
  margin: auto;
}


#react-joyride-step-14:after{
  content: "";
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 99;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

// @for $i from 14 through 16 {
//   .step-#{$i} {
//     background-color: white;
//     position: relative;
//     z-index: 99;
//   }
// }
.user-photo{
  position: relative;
  width: 100px;
  height: 100px;
  @include border-radius(50%);
  margin: 0 auto;
  
  .badge{
    position: absolute;
    right: 10px;
  }
}
.badge-max{
  width: 38px;
  height: 38px;
  float: right;
}

.attachable-container {
  position: relative;
  > .form-control {
    padding-bottom: 75px;
    /* &.textarea {
      min-height: 200px;
    } */
  }
  .attachable-area {
    background-color: #fff;
    position: absolute;
    bottom: 1px;
    left: 1px;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    width: calc(100% - 1rem - 4px);
  }
}

.comment-body-renderer {
  display: inline;
  word-break: break-word;
  > *:first-child {
    display: inline;
  }
  > *:last-child {
    display: inline;
  }
  #gtx-trans {
    display: none;
  }
  strong {
    font-weight: 700;
  }
}
.wb-break-word {
  word-break: break-word;
}

.video-holder {
  position: relative;
  &:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba($color: $black, $alpha: 0.3);
    
    background-image: url('../assets/images/icons/video-icon.svg');
    background-size: 50% 50%;
    background-repeat: no-repeat;
    background-position: center center;
  }
  &.play-icon {
    &:after {
      background-image: url('../assets/images/icons/play-button.svg');
    }
  }
}

.chat-title {
  color: $dark;
  font-family: $font-family-base;
  font-size: 14px;
  font-weight: $font-weight-bold;
}

.chat-room {
  background-color: #eaece9;
  color: $dark;
  padding: 10px;
  margin-bottom: 5px;

  .chat-title {
    color: inherit;
  }

  &:hover {
    background-color: darken($color: #eaece9, $amount: 5%);
  }

  &.active {
    background-color: $dark;
    color: $white;
  }
}

.chat-list {
  margin-top: 15px;
}

.chat-room,
.chat-list {
  .text-faded {
    color: #879ab5;
  }
}


.react-draggable strong {
  background: #ddd;
  border: 1px solid #999;
  border-radius: 3px;
  display: block;
  margin-bottom: 10px;
  padding: 3px 5px;
  text-align: center;
}

.dragaa{
	position: relative; 
	overflow: hidden; 
	cursor: move; 
	z-index: 99;
  img {
    object-fit: cover;
    object-position: center center;
  }
}

.pancontainer{
    width: 150px;
    height: 150px;
    background-color: white;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 99em;
    margin: 10px auto;
    
}

.save-image {
    cursor: pointer;
}
.text-color{
	color:#15C3D4 !important;
}
select.form-control.colorbox{
 background-color: #315d7a;
 border-color: #315d7a;
 color:#fff ;
 option {
 background-color: #fff;
 color:#315d7a;
 }
 &:focus {
 background-color: #315d7a !important;
 border-color: #315d7a !important;
 color:#fff !important;
 option {
 background-color: #fff;
 color:#315d7a;
 }
 }
}
.add_info_type_add {
  background-color: $body-bg;
}